Subject: bug#18128: Diff-mode doesn't refine hunks automatically

From: Paul Pogonyshev <[email-masked]>
Date: Mon, 28 Jul 2014 16:49:36 +0200

I'd like hunks to be refined regardless of the way I move around the file.
E.g. if I chose to page-up through uninteresting parts of the diff,
auto-refinining shouldn't stop.

Paul

On 28 July 2014 16:44, Eli Zaretskii <[email-masked]> wrote:

> > Date: Mon, 28 Jul 2014 16:39:56 +0200
> > From: Paul Pogonyshev <[email-masked]>
> > Cc: [email-masked]
> >
> > It is enough. Then please add a reference to it to documentation of
> > diff-refine-hunk, I wasn't even aware of that mode.
>
> It is currently mentioned there as follows:
>
>    `M-n'
>         Move to the next hunk-start (`diff-hunk-next').
>
>         This command has a side effect: it "refines" the hunk you move to,
>         highlighting its changes with better granularity.  To disable this
>         feature, type `M-x diff-auto-refine-mode' to toggle off the minor
>         mode Diff Auto-Refine mode.  To disable Diff Auto Refine mode by
>         default, add this to your init file (*note Hooks::):
>
>              (add-hook 'diff-mode-hook
>                        (lambda () (diff-auto-refine-mode -1)))
>
> If you think this is not enough, please tell what else would you like
> to see there about this minor mode.
>